ERROR: Unable to find file "ice-9/boot-9.scm" in load path

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

ERROR: Unable to find file "ice-9/boot-9.scm" in load path

damianlegassick
Hi

I've seen this before and a search through the list says it was fixed in 2.14

just upgraded to 2.15.26 and i get

GNU LilyPond 2.15.26
ERROR: In procedure primitive-load-path:
ERROR: Unable to find file "ice-9/boot-9.scm" in load path

is there a simple fix for this? I've tried adding the ice-9 folder to the PATH

echo $PATH gives:

/usr/local/git/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/local/bin:/Applications/LilyPond.app/Contents/Resources/bin:/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/ice-9:/usr/texbin

any clues?

TIA

Damian

_______________________________________________
lilypond-user mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user
Reply | Threaded
Open this post in threaded view
|

Re: ERROR: Unable to find file "ice-9/boot-9.scm" in load path

damianlegassick

On 21 Jan 2012, at 12:08, Damian leGassick wrote:

> Hi
>
> I've seen this before and a search through the list says it was fixed in 2.14
>
> just upgraded to 2.15.26 and i get
>
> GNU LilyPond 2.15.26
> ERROR: In procedure primitive-load-path:
> ERROR: Unable to find file "ice-9/boot-9.scm" in load path
>
> is there a simple fix for this? I've tried adding the ice-9 folder to the PATH
>
> echo $PATH gives:
>
> /usr/local/git/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/local/bin:/Applications/LilyPond.app/Contents/Resources/bin:/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/ice-9:/usr/texbin
>

Ok - I get that it's I it's a guile error message

I added export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8" to my .bash_profile

guile now launches in the terminal without the error, but lilypond still won't

Damian (btw, Mac OSX10.6.8)

_______________________________________________
lilypond-user mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user
Reply | Threaded
Open this post in threaded view
|

Re: ERROR: Unable to find file "ice-9/boot-9.scm" in load path

mike@apollinemike.com
On Jan 21, 2012, at 1:47 PM, Damian leGassick wrote:

>
> On 21 Jan 2012, at 12:08, Damian leGassick wrote:
>
>> Hi
>>
>> I've seen this before and a search through the list says it was fixed in 2.14
>>
>> just upgraded to 2.15.26 and i get
>>
>> GNU LilyPond 2.15.26
>> ERROR: In procedure primitive-load-path:
>> ERROR: Unable to find file "ice-9/boot-9.scm" in load path
>>
>> is there a simple fix for this? I've tried adding the ice-9 folder to the PATH
>>
>> echo $PATH gives:
>>
>> /usr/local/git/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/local/bin:/Applications/LilyPond.app/Contents/Resources/bin:/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/ice-9:/usr/texbin
>>
>
> Ok - I get that it's I it's a guile error message
>
> I added export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8" to my .bash_profile
>
> guile now launches in the terminal without the error, but lilypond still won't
>
> Damian (btw, Mac OSX10.6.8)

Damian,

I've cc'ed my response to the bug list - this should be opened up as an issue on the tracker.
What would help a lot is if you added things to your PATH variable until LilyPond started working and let us know what the key addition(s) proved to be.
Also, make sure to open a new terminal window every time you modify .bash_profile (I'm not assuming that you are not doing this, but I forget to do this all the time, so I figured it was worth saying).

Cheers,
MS
_______________________________________________
lilypond-user mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user
Reply | Threaded
Open this post in threaded view
|

Re: ERROR: Unable to find file "ice-9/boot-9.scm" in load path

pkx166h
Hello,

On 21 January 2012 12:55, [hidden email] <[hidden email]> wrote:

> On Jan 21, 2012, at 1:47 PM, Damian leGassick wrote:
>
>>
>> On 21 Jan 2012, at 12:08, Damian leGassick wrote:
>>
>>> Hi
>>>
>>> I've seen this before and a search through the list says it was fixed in 2.14
>>>
>>> just upgraded to 2.15.26 and i get
>>>
>>> GNU LilyPond 2.15.26
>>> ERROR: In procedure primitive-load-path:
>>> ERROR: Unable to find file "ice-9/boot-9.scm" in load path
>>>
>>> is there a simple fix for this? I've tried adding the ice-9 folder to the PATH
>>>
>>> echo $PATH gives:
>>>
>>> /usr/local/git/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/local/bin:/Applications/LilyPond.app/Contents/Resources/bin:/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/ice-9:/usr/texbin
>>>
>>
>> Ok - I get that it's I it's a guile error message
>>
>> I added export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8" to my .bash_profile
>>
>> guile now launches in the terminal without the error, but lilypond still won't
>>
>> Damian (btw, Mac OSX10.6.8)
>
> Damian,
>
> I've cc'ed my response to the bug list - this should be opened up as an issue on the tracker.
> What would help a lot is if you added things to your PATH variable until LilyPond started working and let us know what the key addition(s) proved to be.
> Also, make sure to open a new terminal window every time you modify .bash_profile (I'm not assuming that you are not doing this, but I forget to do this all the time, so I figured it was worth saying).
>

Also, and I had this same message on my Linux Box, and found it was to
do with the relation of where I ran the command and where the file I
am running LP on.

So, for example if you use Terminal and cd *into* the same dir as the
.ly file do you get the same message?


--
--

James

_______________________________________________
lilypond-user mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user
Reply | Threaded
Open this post in threaded view
|

Re: ERROR: Unable to find file "ice-9/boot-9.scm" in load path

damianlegassick

On 21 Jan 2012, at 13:09, James wrote:

> Hello,
>
> On 21 January 2012 12:55, [hidden email] <[hidden email]> wrote:
>> On Jan 21, 2012, at 1:47 PM, Damian leGassick wrote:
>>
>>>
>>> On 21 Jan 2012, at 12:08, Damian leGassick wrote:
>>>
>>>> Hi
>>>>
>>>> I've seen this before and a search through the list says it was fixed in 2.14
>>>>
>>>> just upgraded to 2.15.26 and i get
>>>>
>>>> GNU LilyPond 2.15.26
>>>> ERROR: In procedure primitive-load-path:
>>>> ERROR: Unable to find file "ice-9/boot-9.scm" in load path
>>>>
>>>> is there a simple fix for this? I've tried adding the ice-9 folder to the PATH
>>>>
>>>> echo $PATH gives:
>>>>
>>>> /usr/local/git/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/local/bin:/Applications/LilyPond.app/Contents/Resources/bin:/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/ice-9:/usr/texbin
>>>>
>>>
>>> Ok - I get that it's I it's a guile error message
>>>
>>> I added export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8" to my .bash_profile
>>>
>>> guile now launches in the terminal without the error, but lilypond still won't
>>>
>>> Damian (btw, Mac OSX10.6.8)
>>
>> Damian,
>>
>> I've cc'ed my response to the bug list - this should be opened up as an issue on the tracker.
>> What would help a lot is if you added things to your PATH variable until LilyPond started working and let us know what the key addition(s) proved to be.
>> Also, make sure to open a new terminal window every time you modify .bash_profile (I'm not assuming that you are not doing this, but I forget to do this all the time, so I figured it was worth saying).
>>
>
> Also, and I had this same message on my Linux Box, and found it was to
> do with the relation of where I ran the command and where the file I
> am running LP on.
>
> So, for example if you use Terminal and cd *into* the same dir as the
> .ly file do you get the same message?
>
>
> --
> --
>
> James

James, you are correct - cd-ing into the directory works, thanks
Mike - I tried adding everything I could think of (I'm not a guile expert!) but couldn't make progress beyond:

export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8"  
export GUILE_LOAD_PATH=$GUILE_LOAD_PATH:/Applications/LilyPond.app/Contents/Resources/share/lilypond/current/scm    

which gives the error:

GNU LilyPond 2.15.26
/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/srfi/srfi-1.scm:223:1: In procedure dynamic-link in expression (load-extension "libguile-srfi-srfi-1-v-3" "scm_init_srfi_1"):
/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/srfi/srfi-1.scm:223:1: file: "libguile-srfi-srfi-1-v-3", message: "file not found"

Damian



_______________________________________________
lilypond-user mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user
Reply | Threaded
Open this post in threaded view
|

Re: ERROR: Unable to find file "ice-9/boot-9.scm" in load path

Ian Hulin
Hi Damian,
1. Try running up lilypond with --loglevel=DEBUG, you'll see a lot more
about directories and the values for PATH etc.

2. Guile does *not* like lists being passed to it as GUILE_LOAD_PATH or
as -L prompt from the command line.  It is absolutely not parsed like
the bash shell PATH. These get simply added to Guile's %load-path
variable, which is a scheme list.

3. LilyPond in its start-up code prepends its own root directory (let's
call it $LILYPOND_DATADIR) *and* $LILYPOND_DATADIR/scm to guile/scheme's
%load-path variable.

4. Run up the guile REPL from the command-line and type
guile> %load-path

You should see something like:
guile> %load-path
("/usr/local/share/guile/site" "/usr/local/share/guile/1.8"
   "/usr/local/share/guile")
guile>

Cheers,

Ian

On 21/01/12 13:20, Damian leGassick wrote:

>
> On 21 Jan 2012, at 13:09, James wrote:
>
>> Hello,
>>
>> On 21 January 2012 12:55, [hidden email] <[hidden email]> wrote:
>>> On Jan 21, 2012, at 1:47 PM, Damian leGassick wrote:
>>>
>>>>
>>>> On 21 Jan 2012, at 12:08, Damian leGassick wrote:
>>>>
>>>>> Hi
>>>>>
>>>>> I've seen this before and a search through the list says it was fixed in 2.14
>>>>>
>>>>> just upgraded to 2.15.26 and i get
>>>>>
>>>>> GNU LilyPond 2.15.26
>>>>> ERROR: In procedure primitive-load-path:
>>>>> ERROR: Unable to find file "ice-9/boot-9.scm" in load path
>>>>>
>>>>> is there a simple fix for this? I've tried adding the ice-9 folder to the PATH
>>>>>
>>>>> echo $PATH gives:
>>>>>
>>>>> /usr/local/git/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/local/bin:/Applications/LilyPond.app/Contents/Resources/bin:/Applications/LilyPond.app/Contents/Resources/share/guile/1.8/ice-9:/usr/texbin
>>>>>
>>>>
>>>> Ok - I get that it's I it's a guile error message
>>>>
>>>> I added export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8" to my .bash_profile
>>>>
>>>> guile now launches in the terminal without the error, but lilypond still won't
>>>>
>>>> Damian (btw, Mac OSX10.6.8)
>>>
>>> Damian,
>>>
>>> I've cc'ed my response to the bug list - this should be opened up as an issue on the tracker.
>>> What would help a lot is if you added things to your PATH variable until LilyPond started working and let us know what the key addition(s) proved to be.
>>> Also, make sure to open a new terminal window every time you modify .bash_profile (I'm not assuming that you are not doing this, but I forget to do this all the time, so I figured it was worth saying).
>>>
>>
>> Also, and I had this same message on my Linux Box, and found it was to
>> do with the relation of where I ran the command and where the file I
>> am running LP on.
>>
>> So, for example if you use Terminal and cd *into* the same dir as the
>> .ly file do you get the same message?
>>
>>
>> --
>> --
>>
>> James
>
> James, you are correct - cd-ing into the directory works, thanks
> Mike - I tried adding everything I could think of (I'm not a guile expert!) but couldn't make progress beyond:
>
> export GUILE_LOAD_PATH="/Applications/LilyPond.app/Contents/Resources/share/guile/1.8"  
> export GUILE_LOAD_PATH=$GUILE_LOAD_PATH:/Applications/LilyPond.app/Contents/Resources/share/lilypond/current/scm    
>
> which gives the error:
>
> GNU LilyPond 2.15.26
> /Applications/LilyPond.app/Contents/Resources/share/guile/1.8/srfi/srfi-1.scm:223:1: In procedure dynamic-link in expression (load-extension "libguile-srfi-srfi-1-v-3" "scm_init_srfi_1"):
> /Applications/LilyPond.app/Contents/Resources/share/guile/1.8/srfi/srfi-1.scm:223:1: file: "libguile-srfi-srfi-1-v-3", message: "file not found"
>
> Damian


_______________________________________________
lilypond-user mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/lilypond-user